commit:     339556825abfe189473ec84bd31a3802879b2ca3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 24 03:15:53 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 24 03:15:53 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33955682

dev-python/anyio: Bump to 4.11.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/anyio/Manifest            |  1 +
 dev-python/anyio/anyio-4.11.0.ebuild | 74 ++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/dev-python/anyio/Manifest b/dev-python/anyio/Manifest
index 9666a00e9432..b6183d41f06b 100644
--- a/dev-python/anyio/Manifest
+++ b/dev-python/anyio/Manifest
@@ -1 +1,2 @@
 DIST anyio-4.10.0.tar.gz 213252 BLAKE2B 
6dc6c0c2290a78049854a74333e28d60ac65874a9cb3a15600da6fa81152b47741f7a5c2736eaef8d279b74ea7ccadc5847d50f5af8cf25f6d40ce0efdd8c4d3
 SHA512 
c696ce5216ff3b93114a53a938461c63df402ea099528e876d31af71c46242ed2b488819accb073c1e312dcad023b5836e5d462992ea01bf7d87b0b9ef3186ed
+DIST anyio-4.11.0.tar.gz 219094 BLAKE2B 
fe51a6c7ac7415f26a20ba058caeb5600afb84fbf68b379308fa876b7aa39112d71cd06c7cbb49a0a91d585cd6d46322b6af28dcab9870c4be74d9f5809d7658
 SHA512 
8286a9dc7e1299dc758146fcbbd83a8be717c2e3a12fd738c05ede84e001131091221425dbd5c966027288c41f66b87a7241c2327353d407bc4f13f5e1d96c90

diff --git a/dev-python/anyio/anyio-4.11.0.ebuild 
b/dev-python/anyio/anyio-4.11.0.ebuild
new file mode 100644
index 000000000000..3a9a2e9f7c55
--- /dev/null
+++ b/dev-python/anyio/anyio-4.11.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Compatibility layer for multiple asynchronous event loop 
implementations"
+HOMEPAGE="
+       https://github.com/agronholm/anyio/
+       https://pypi.org/project/anyio/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+
+RDEPEND="
+       >=dev-python/idna-2.8[${PYTHON_USEDEP}]
+       >=dev-python/sniffio-1.1[${PYTHON_USEDEP}]
+       >=dev-python/truststore-0.9.1[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/typing-extensions-4.5[${PYTHON_USEDEP}]
+       ' 3.{11..12})
+"
+# On amd64, let's get more test coverage by dragging in uvloop, but let's
+# not bother on other arches where uvloop may not be supported.
+BDEPEND="
+       >=dev-python/setuptools-scm-6.4[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/blockbuster-1.5.23[${PYTHON_USEDEP}]
+               >=dev-python/exceptiongroup-1.2.0[${PYTHON_USEDEP}]
+               >=dev-python/psutil-5.9[${PYTHON_USEDEP}]
+               dev-python/trustme[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep '
+                       >=dev-python/trio-0.31.0[${PYTHON_USEDEP}]
+               ' 3.{11..14})
+               amd64? (
+                       $(python_gen_cond_dep '
+                               
>=dev-python/uvloop-0.21.0_beta1[${PYTHON_USEDEP}]
+                       ' python3_{11..13})
+               )
+       )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-mock )
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+       '>=dev-python/sphinx-rtd-theme-1.2.2' \
+       dev-python/sphinxcontrib-jquery \
+       dev-python/sphinx-autodoc-typehints \
+       dev-python/sphinx-tabs
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # requires link-local IPv6 interface
+               tests/test_sockets.py::TestTCPListener::test_bind_link_local
+       )
+
+       local filter=()
+       if ! has_version ">=dev-python/trio-0.26.1[${PYTHON_USEDEP}]"; then
+               filter+=( -k "not trio" )
+               EPYTEST_DESELECT+=(
+                       tests/test_pytest_plugin.py::test_plugin
+                       tests/test_pytest_plugin.py::test_autouse_async_fixture
+                       
tests/test_pytest_plugin.py::test_cancel_scope_in_asyncgen_fixture
+               )
+       fi
+
+       epytest -m 'not network' "${filter[@]}"
+}

Reply via email to